| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
IG.Forms.CookingTimerControl Class Reference
Inheritance diagram for IG.Forms.CookingTimerControl:
[legend]
Collaboration diagram for IG.Forms.CookingTimerControl:
[legend]

## Public Member Functions
| CookingTimerControl ()

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Private Member Functions
void | flowImage_Paint (object sender, PaintEventArgs e)
void | comboTimes_Click (object sender, EventArgs e)
void | comboTimes_Leave (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.Button | btnCookingSw
System.Windows.Forms.FlowLayoutPanel | floTimer
System.Windows.Forms.Button | btnTimerFlow
System.Windows.Forms.FlowLayoutPanel | flowOuter
System.Windows.Forms.Button | btnOuterFlow
System.Windows.Forms.FlowLayoutPanel | flowImage
System.Windows.Forms.Button | btnImageFlow
System.Windows.Forms.PictureBox | pictureBox1
TimerControl | timerControl1
System.Windows.Forms.Panel | panel1
System.Windows.Forms.Button | btnCookingControls
System.Windows.Forms.ComboBox | comboTimes

## Constructor & Destructor Documentation

IG.Forms.CookingTimerControl.CookingTimerControl | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.CookingTimerControl.flowImage_Paint | ( | object | sender,
|  | PaintEventArgs | e
| ) |  |
| inline private

void IG.Forms.CookingTimerControl.comboTimes_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.CookingTimerControl.comboTimes_Leave | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.CookingTimerControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.CookingTimerControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer IG.Forms.CookingTimerControl.components = null
| private

Required designer variable.

System.Windows.Forms.Button IG.Forms.CookingTimerControl.btnCookingSw
| private

System.Windows.Forms.FlowLayoutPanel IG.Forms.CookingTimerControl.floTimer
| private

System.Windows.Forms.Button IG.Forms.CookingTimerControl.btnTimerFlow
| private

System.Windows.Forms.FlowLayoutPanel IG.Forms.CookingTimerControl.flowOuter
| private

System.Windows.Forms.Button IG.Forms.CookingTimerControl.btnOuterFlow
| private

System.Windows.Forms.FlowLayoutPanel IG.Forms.CookingTimerControl.flowImage
| private

System.Windows.Forms.Button IG.Forms.CookingTimerControl.btnImageFlow
| private

System.Windows.Forms.PictureBox IG.Forms.CookingTimerControl.pictureBox1
| private

TimerControl IG.Forms.CookingTimerControl.timerControl1
| private

System.Windows.Forms.Panel IG.Forms.CookingTimerControl.panel1
| private

System.Windows.Forms.Button IG.Forms.CookingTimerControl.btnCookingControls
| private

System.Windows.Forms.ComboBox IG.Forms.CookingTimerControl.comboTimes
| private

The documentation for this class was generated from the following files:

- igforms/Utilities/Timer/CookingTimerControl.cs
- igforms/Utilities/Timer/CookingTimerControl.Designer.cs